Skip to content
BleemeoBleemeo

Create a report config

POST
/v1/reportconfig/
curl --request POST \
--url https://example.com/v1/reportconfig/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "active": true, "period": 0 }'

Create a new report configuration.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
description
string
<= 100 characters
active
boolean
period
required
  • 0 - Weekly
  • 1 - Monthly
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
nullable
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
description
string
<= 100 characters
active
boolean
period
required
  • 0 - Weekly
  • 1 - Monthly
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
nullable
Example
{
"period": 0
}